<?php



namespace Avalon\Costompaymentgr\Controller\Index;



use Magento\Framework\Session\SessionManagerInterface as CoreSession;



class Getparams extends \Magento\Framework\App\Action\Action

{

	protected $_pageFactory;

	protected $_resultJsonFactory;

	protected $_coreSession;

	

	public function __construct(

		\Magento\Framework\App\Action\Context $context,

		\Magento\Framework\View\Result\PageFactory $pageFactory,

		\Magento\Framework\Controller\Result\JsonFactory $resultJsonFactory,

		CoreSession $coreSession

	)

	{

		$this->_pageFactory = $pageFactory;

		$this->_resultJsonFactory = $resultJsonFactory;

		$this->_coreSession = $coreSession;

		return parent::__construct($context);

	}

	

	public function execute()

	{

		$json = array();

		

		if ($this->_objectManager->create('Avalon\Costompaymentgr\Helper\Data')->getConfig('avalon_custompaymentmethodgr_tab_options/properties_tbigr/grtbi_unicid')){

			$tbigr_unicid = $this->_objectManager->create('Avalon\Costompaymentgr\Helper\Data')->getConfig('avalon_custompaymentmethodgr_tab_options/properties_tbigr/grtbi_unicid');

		}else{

			$tbigr_unicid = "";

		}

		

		$tbigr_ch = curl_init();

		curl_setopt($tbigr_ch, CURLOPT_SSL_VERIFYPEER, false);

		curl_setopt($tbigr_ch, CURLOPT_RETURNTRANSFER, true);

		curl_setopt($tbigr_ch, CURLOPT_URL, $this->_objectManager->create('Avalon\Costompaymentgr\Helper\Data')->getTbigrLiveUrl() . '/function/getparameters.php?cid='.$tbigr_unicid);

		$paramstbigr = json_decode(curl_exec($tbigr_ch), true);

		curl_close($tbigr_ch);

		

		$tbigr_minprice_tbi = floatval($paramstbigr['tbi_minstojnost']);

		$tbigr_maxprice_tbi = floatval($paramstbigr['tbi_maxstojnost']);

		$tbigr_status = $paramstbigr['tbi_status'];

		

		$cart = $this->_objectManager->get('\Magento\Checkout\Model\Cart');

		$tbigr_price = $cart->getQuote()->getGrandTotal();

		

		if (($tbigr_status == "Yes") && ($tbigr_price >= $tbigr_minprice_tbi) && ($tbigr_price <= $tbigr_maxprice_tbi)){

			$json['tbigr_status'] = "Yes";

		}else{

			$json['tbigr_status'] = "No";

		}

		

		$result = $this->_resultJsonFactory->create();

		$result->setData($json);

		return $result;

	}

}