<?php 
namespace Avalon\Costompaymentgr\Model;
 
 
class PostManagement {
	
	protected $_connection;
	
	public function __construct(
		\Magento\Framework\App\ResourceConnection $resource
	)
	{
		$this->_connection = $resource->getConnection();
	}
	/**
	 * {@inheritdoc}
	 */
	public function getPost($order_id, $status, $calculator_id)
	{
		$json = array();
		$json['success'] = 'unsuccess';
		
		$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
		if ($objectManager->create('Avalon\Costompaymentgr\Helper\Data')->getConfig('avalon_custompaymentmethodgr_tab_options/properties_tbigr/grtbi_unicid')){
			$tbigr_unicid = $objectManager->create('Avalon\Costompaymentgr\Helper\Data')->getConfig('avalon_custompaymentmethodgr_tab_options/properties_tbigr/grtbi_unicid');
		}else{
			$tbigr_unicid = "";
		}
		
		if (($calculator_id != '') && ($tbigr_unicid == $calculator_id)){
			$dataUpdate = ["tbigr_status" => $status];
			$whereUpdate = ['increment_id = ?' => (int)$order_id];
			$tableSalesOrderGrid = $this->_connection->getTableName("sales_order_grid");
			$this->_connection->update($tableSalesOrderGrid, $dataUpdate, $whereUpdate);
			$json['success'] = 'success';
		}
		
		$json['order_id'] = $order_id;
		$json['status'] = $status;
		$json['calculator_id'] = $calculator_id;
		
		return json_encode($json);
	}
}